=== debian/control ===
Source: kontactinterface
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-kde-tools (>> 0.15.15),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kontactinterface
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontactinterface
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontactinterface

Package: libkpim5kontactinterface-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: libkf5kontactinterface-data (<< 23.04.1~),
          ${kde-l10n:all},
Description: Kontact interface library - data files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains shared data files.

Package: libkf5kontactinterface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5parts-dev (>= 5.31.0~),
         libkpim5kontactinterface5 (= ${binary:Version}),
         ${misc:Depends},
Description: Kontact interface library - development files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains the development files.

Package: libkpim5kontactinterface5
Architecture: any
Multi-Arch: same
Depends: libkpim5kontactinterface-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
