=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: kontactinterface
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6parts-dev (>= 6.3.0~),
-               libkf6windowsystem-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6parts-dev (>= 6.6.0~),
+               libkf6windowsystem-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
                libx11-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kontactinterface
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontactinterface
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontactinterface
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
 Rules-Requires-Root: no
 
 Package: libkontactinterface-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6parts-dev (>= 6.3.0~),
+Depends: libkf6parts-dev (>= 6.6.0~),
          libkpim6kontactinterface6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Kontact interface library - development files
