=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6xmlgui-dev (>= 6.6.0~),
                libx11-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kontactinterface
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
