## kontactinterface 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.4.3")
 
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.9.0")
 set(QT_REQUIRED_VERSION "6.7.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -19,7 +19,6 @@
 include(ECMGenerateHeaders)
 
 include(ECMSetupVersion)
-include(FeatureSummary)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES 
@@ -63,7 +62,11 @@
         PACKAGE_SETUP_AUTOMOC_VARIABLES
 )
 
+find_package(Qt6Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
 find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+   find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 ########### Find packages ###########
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
@@ -85,8 +88,8 @@
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
 endif()
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-     KF 6.8.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+     KF 6.12.0
 )
 set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})
