=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kontactinterface
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6coreaddons-dev (>= 6.6.0~),
@@ -15,10 +16,10 @@
                libkf6xmlgui-dev (>= 6.6.0~),
                libx11-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kontactinterface
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontactinterface
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontactinterface
 Rules-Requires-Root: no
 
 Package: libkontactinterface-data
